package com.sundot.airport.system.mapper;

import java.util.List;

import com.sundot.airport.system.domain.BaseSeizeCategory;
import org.apache.ibatis.annotations.Param;

/**
 * 查获物品分类Mapper接口
 *
 * @author ruoyi
 * @date 2025-07-08
 */
public interface BaseSeizeCategoryMapper {
    /**
     * 查询查获物品分类
     *
     * @param id 查获物品分类主键
     * @return 查获物品分类
     */
    public BaseSeizeCategory selectBaseSeizeCategoryById(Long id);

    /**
     * 查询查获物品分类列表
     *
     * @param baseSeizeCategory 查获物品分类
     * @return 查获物品分类集合
     */
    public List<BaseSeizeCategory> selectBaseSeizeCategoryList(BaseSeizeCategory baseSeizeCategory);

    /**
     * 新增查获物品分类
     *
     * @param baseSeizeCategory 查获物品分类
     * @return 结果
     */
    public int insertBaseSeizeCategory(BaseSeizeCategory baseSeizeCategory);

    /**
     * 修改查获物品分类
     *
     * @param baseSeizeCategory 查获物品分类
     * @return 结果
     */
    public int updateBaseSeizeCategory(BaseSeizeCategory baseSeizeCategory);

    /**
     * 删除查获物品分类
     *
     * @param id 查获物品分类主键
     * @return 结果
     */
    public int deleteBaseSeizeCategoryById(Long id);

    /**
     * 批量删除查获物品分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseSeizeCategoryByIds(Long[] ids);

    /**
     * 根据ID查询所有子元素
     *
     * @param id ID
     * @return 列表
     */
    public List<BaseSeizeCategory> selectChildrenById(Long id);

    /**
     * 修改子元素关系
     *
     * @param list 子元素
     * @return 结果
     */
    public int updateChildren(@Param("list") List<BaseSeizeCategory> list);
}
